> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop extraction

> Stop an extraction run.

**Operation ID:** `http.semantic_tasks.file_extractions.stop`

```http theme={null}
POST /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/stop
```


## OpenAPI

````yaml openapi.json POST /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/stop
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/stop:
    post:
      tags:
        - Extraction
      summary: Stop extraction
      description: |-
        Stop an extraction run.

        Product guidance: [Extraction](/concepts/extraction).
      operationId: http.semantic_tasks.file_extractions.stop
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: run
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/http_semantic_tasks_file_extractions_stop_request
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/http_semantic_tasks_file_extractions_stop_response
      security:
        - bearerAuth: []
components:
  schemas:
    http_semantic_tasks_file_extractions_stop_request:
      type: object
      properties:
        request_id:
          description: >-
            Caller-chosen attribution for this stop request; the first request
            stamps it.
          type: string
          minLength: 1
          maxLength: 256
      required:
        - request_id
      additionalProperties: false
    http_semantic_tasks_file_extractions_stop_response:
      type: object
      properties:
        data:
          type: object
          properties:
            schema:
              type: string
              const: penumbra.graph-extraction-stop
            version:
              type: number
              const: 1
            run_id:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            status:
              type: string
              enum:
                - cancelled
                - stopping
                - settled
          required:
            - schema
            - version
            - run_id
            - status
          additionalProperties: false
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.